1

I am trying to do a runtime upgrade of my blockchain that is layer 0 chain running on version polkado-v0.9.36 . I also have (ethereum virtual machine integrated to it ).

When I do runtime upgrade of blockchain through page-sudo everthing works fine but when I try to do runtime upgrade from extrinsics call using pallet_sudo the polkadot explorer gets stucked and I have to reopen explorer to continue using it, and same is also happening while using pallet_utility from extrinsics calls.

The other pallets are working fine in extrinsics , it is happening for only these two pallets. Can anyone please tell me what is going wrong here and how I can solve this.

I am attaching a screenshot below of my page getting stuck and asking me to exit it.


explorer stucked here

1
  • Could you please verify within your runtime that 'pallet-sudo' is not set at index 255? Sep 18, 2023 at 4:49

1 Answer 1

2

This is a performance issue. I've encountered it before as well. What I did was open a new browser and try using different wallets. It appears that signing a WASM significantly affects performance.

1
  • In my case it was due to the numbering issue for these pallets in runtime Sep 12, 2023 at 10:06

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.

Not the answer you're looking for? Browse other questions tagged or ask your own question.